%define gettext_package gnome-panel-2.0

%define glib2_version 2.2.0
%define gtk2_version 2.2.0
%define libglade2_version 2.0.0-3
%define libgnomeui_version 2.2.0
%define gnome_desktop_version 2.2.0
%define libwnck_version 2.2.0
%define libbonobo_version 2.2.0
%define libbonoboui_version 2.2.0
%define gnome_vfs2_version 2.2.0
%define bonobo_activation_version 2.2.0
%define libxslt_version 1.0.21-2
%define startup_notification_version 0.5
%define redhat_menus_version 0.32

Summary: GNOME panel
Name: gnome-panel
Version: 2.2.2.1
Release: 7
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-panel/%{name}-%{version}.tar.bz2
Source2: redhat-panel-per-panel-config.schemas
Source3: redhat-panel-per-panel-config-battstat.schemas
#Source5: gnome-panel-2.0.6-extrapo.tar.gz
License: GPL 
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Requires: gnome-desktop >= %{gnome_desktop_version}
Requires: libwnck >= %{libwnck_version}
Requires: redhat-menus >= %{redhat_menus_version}
Prereq: /bin/awk, /bin/cat, /bin/ln, /bin/rm

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libxslt-devel >= %{libxslt_version}
BuildRequires: fontconfig-devel
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: libtool automake autoconf

## http://bugzilla.gnome.org/show_bug.cgi?id=85723
Patch1: gnome-panel-2.1.90.1-clock-addons.patch
Patch2: gnome-panel-2.0.2.90-pager-rows.patch
Patch3: gnome-panel-2.0.2.90-clock-seconds.patch
Patch4: gnome-panel-2.0.3-default-menu-flags.patch
Patch5: gnome-panel-2.0.3-remove-screenshot-menuitem.patch
Patch6: gnome-panel-2.0.9-menu_fixup.patch
Patch7: gnome-panel-2.0.6-memleaks-and-clock-format.patch
Patch8: gnome-panel-2.1.90.1-no-fortune.patch
# Only one screenshot at a time, #71432, bugzilla.gnome.org #91924
#Patch10: gnome-panel-2.0.6-singlesshot.patch

## http://bugzilla.gnome.org/show_bug.cgi?id=106649
Patch16: gnome-panel-2.2.0.1-button-widget-theme.patch

## https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=105047
Patch17: gnome-panel-2.2.2.1-clockformat.patch

## backported from 2.4
Patch18: gnome-panel-2.2.2.1-rectangular-buttons.patch

%description

The GNOME panel provides the window list, workspace switcher, menus, and other 
features for the GNOME desktop.

%prep
%setup -q

cp -f %{SOURCE2} gnome-panel/panel-per-panel-config.schemas
# paranoia in case it decides to rebuild
cp -f %{SOURCE2} gnome-panel/panel-per-panel-config.schemas.in

#(cd po && tar xzvf %{SOURCE5} )

%patch1 -p1 -b .clock-addons
%patch2 -p1 -b .pager-rows
# FIXME need to port the "no date" part of this
#%patch3 -p1 -b .clock-seconds
%patch4 -p1 -b .default-menu-flags
%patch5 -p1 -b .remove-screenshot-menuitem
%patch6 -p1 -b .menu_fixup
%patch8 -p1 -b .no-fortune
#%patch10 -p1 -b .singlesshot

%patch16 -p1 -b .button-widget-theme

%patch17 -p1 -b .clockformat

%patch18 -p1 -b .rect-button

## replace foot menu with redhat-applications.png
perl -pi -e 's/gnome-logo-icon-transparent/redhat-main-menu/g' gnome-panel/panel-stock-icons.c

echo 'AC_DEFUN([GNOME_COMPILE_WARNINGS], [])' >> acinclude.m4

libtoolize --force
aclocal
automake --add-missing
autoconf
autoheader

%build
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## create copy of schemas with battstat listed 
(cd $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/ && mv panel-per-panel-config.schemas panel-per-panel-config-nolaptop.schemas && cp panel-per-panel-config-nolaptop.schemas panel-per-panel-config-laptop.schemas && perl -pi -e 's/pager_applet,tray_applet/pager_applet,battstat_applet,tray_applet/g' panel-per-panel-config-laptop.schemas)

## print for debugging in build log
(cd $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/ && diff -u panel-per-panel-config-nolaptop.schemas panel-per-panel-config-laptop.schemas || true)

## install battstat schemas
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-per-panel-config-battstat.schemas

## blow away stuff we don't want
/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rmdir --ignore-fail-on-non-empty $RPM_BUILD_ROOT/var
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libpanel-applet-2.a
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libpanel-applet-2.la
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libgen_util_applet-2.a
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/libgen_util_applet-2.la
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-panel/*.*a

%find_lang %{gettext_package}
grep -q '/usr/share/locale' %{gettext_package}.lang || exit 1

%clean
rm -rf $RPM_BUILD_ROOT

%post
apm=false
if [ -f /proc/apm ]; then
  mins=`cat /proc/apm|awk '{ print $8 }'`
  if [ "$mins" != "-1" ]; then
    apm=true
  fi
fi

if [ "$apm" = "false" ]; then
  ln -sf %{_sysconfdir}/gconf/schemas/panel-per-panel-config-nolaptop.schemas %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
else
  ln -sf %{_sysconfdir}/gconf/schemas/panel-per-panel-config-laptop.schemas %{_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
# this spits a warning right now, needs fixing in gconf
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel
SCHEMAS="panel-global-config.schemas panel-per-panel-config.schemas mailcheck.schemas pager.schemas tasklist.schemas clock.schemas fish.schemas panel-per-panel-config-battstat.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
  rm -f ${_sysconfdir}/gconf/schemas/panel-per-panel-config.schemas
fi
/sbin/ldconfig
  
%files -f %{gettext_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/gnome-panelrc
%{_datadir}/control-center-2.0
# doesn't contain .desktop files anymore, apparently
#%{_datadir}/applications
%{_datadir}/idl
%{_datadir}/gnome-2.0
%{_datadir}/gnome-panel
%{_datadir}/gen_util
%{_datadir}/gtk-doc
%{_datadir}/omf
%{_datadir}/man/man*/*
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo
%{_libdir}/*.so.*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/sound
#%{_libdir}/gnome-panel/*.so
## who ever expected /usr/share/fish to exist? ;-)
%{_datadir}/fish

# theoretically a devel package, but just doesn't seem worth it
%{_libdir}/pkgconfig/*
%{_includedir}/panel-2.0
%{_libdir}/*.so

%changelog
* Wed May 19 2004 Mark McLoughlin <markmc@redhat.com> 2.2.2.1-7
- Fix issue with vertical panels cause by rectangular button
  backport (bug #123241)

* Wed Feb  4 2004 Dan Williams <dcbw@redhat.com> 2.2.2.1-6
- fix up rectangular start menu patch (markmc,dcbw)

* Wed Feb  4 2004 Havoc Pennington <hp@redhat.com> 2.2.2.1-5
- add rectangular start menu button patch

* Wed Sep 24 2003 Jeremy Katz <katzj@redhat.com> 2.2.2.1-4
- fixup defaults for clock schema to quiet warnings (#105047)

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 2.2.2.1-3
- disable gtk doc

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 2.2.2.1-3
- rebuild

* Wed Jul  9 2003 Alexander Larsson <alexl@redhat.com> 2.2.2.1-2
- Fix redhat menu icon

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.2.1-1
- 2.2.2.1
- remove memleaks patch, now upstream
- remove applet-sm patch now upstream
- remove "null" patch, now upstream
- remove recent-monitor patch now upstream
- remove notification area crash fix, now upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 2.2.0.1-8
- Rebuild with an updated libtool to fix #84742

* Thu Feb 20 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-6
- fix memleaks, #84489 #84467
- use icon theme for button widgets instead of stock ID #82301

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-5
- disable session management for all applets

* Tue Feb 11 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-4
- fix #83683 for real, very embarassing bug in the end

* Tue Feb 11 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-3
- add assertions to try to narrow down #83683 more

* Tue Feb 11 2003 Tim Waugh <twaugh@redhat.com> 2.2.0.1-2
- Fix notification area crash (bug #83683).

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-1
- 2.2.0.1

* Mon Feb  3 2003 Matt Wilson <msw@redhat.com> 2.2.0-2
- added gnome-panel-2.1.90.1-null.patch to avoid segv on 64 bit platforms
  #82978

* Mon Feb  3 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-1
- Update to 2.2.0
- Add patch to disable monitoring in recent-files, since it made you not able to unmount cds.

* Thu Jan 30 2003 Matt Wilson <msw@redhat.com> 2.1.90.1-6
- disable optimizations on x86_64 to work around gcc bug

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Jonathan Blandford <jrb@redhat.com>
- put the control-center second

* Sat Jan 11 2003 Havoc Pennington <hp@redhat.com>
- fix the extra separator left when we lack screenshot menuitem

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- fix the clock

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com>
- remove enhanced-errors patch now upstream
- change how we're doing the laptop-specific config to avoid cut-and-paste
- update clock-addons patch
- remove hardcoded change to default panel icon size, we'll put it in bluecurve
  theme.
- run xscreensaver fortune instead of just "fortune" from the fish
- add printer icon to panel

* Wed Jan  8 2003 Havoc Pennington <hp@redhat.com>
- 2.1.90.1

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 2.1.4-4
- rebuild

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- require gnome-desktop 2.1.4
- include datadir/fish

* Fri Dec 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.4

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3
- build req startup-notification-devel

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- system tray is now in the main gnome-panel package

* Wed Oct 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.10
- remove memleaks-and-clock-format patch, should be upstream
- remove WIN_POS_MOUSE purge, done upstream

* Mon Oct 14 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix postun script

* Tue Oct  8 2002 Havoc Pennington <hp@redhat.com>
- 2.0.9 with menu edit stuff
- system-tray-applet 0.15 that doesn't crash all the time
- merge/remove patches as appropriate

* Wed Aug 28 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with "hold down print screen" (71432)

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- panel-properties OnlyShowIn=GNOME;
- somehow the po file got screwed up.  Works now
- update po files

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- fix from #71762 for clock applet popdown key
- no WIN_POS_MOUSE fixes #72167
- fix for #72540 from George

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- system tray applet 0.11 with a small memleak fix and a couple translations

* Thu Aug 15 2002 Jonathan Blandford <jrb@redhat.com>
- menu tweaks

* Wed Aug 14 2002 Tim Powers <timp@redhat.com>
- bump release

* Wed Aug 14 2002 Preston Brown <pbrown@redhat.com>
- put battery applet on panel for laptops (#67296)

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.6 final from gnome 2.0.1
- remove gnome-panel-screenshot patch now upstream

* Thu Aug  8 2002 Jonathan Blandford <jrb@redhat.com>
- new system-tray-applet version
- Fix gnome-panel-screenshot

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.4
- replace gnome-logo-icon-transparent.png with redhat-main-menu.png
  for the foot menu

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- fix desktop (logout/lock) menu item location
  in Alt+F1 and in new menu applets
- remove Screenshot... menu item

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- move around default applets, remove some of them
- system tray 0.9
- change default menu flags
- blow unpackaged files out of build root

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3
- own libexecdir stuff

* Thu Jul 25 2002 Havoc Pennington <hp@redhat.com>
- new system tray that's prettier and doesn't clip the icon

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- system tray 0.7 that doesn't crash on startup
- get Mozilla desktop file right so we get web browser launcher

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- system tray 0.6 with server file fixed (work dammit)

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- tweak applet positions but I think it's just broken
- system tray 0.5 moved back to libdir not libexecdir

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- remove ltmain.sh hack
- new system-tray-applet that works

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- put office suite stuff on the panel

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2.90 cvs snap

* Wed Jul 10 2002 Havoc Pennington <hp@redhat.com>
- update the clock patch to be a little smarter in a couple ways

* Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem where system tray applet was being looked for in /unst
- Fix a crash in the system tray applet

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix typo in the pt_BR translation that was causing GConf problems

* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- add the system tray applet
- add system tray applet by default
- add more launcher by default

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Havoc Pennington <hp@redhat.com>
- use correct gettext package name, and add check for missing translations

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- add the calendar and configuration patch 

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- add control center desktop file to file list
- add gnome-panelrc to file list
- try fixing panel size (blind, no text box at home)

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- updates to default configuration

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- fix schemas installation

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- unset old panel schemas when installing new ones
- put in a broken panel config to see errors about
- add a patch to give some decent error messages about what's wrong
  with the default panel config

* Sun Jun 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun Jun  9 2002 Havoc Pennington <hp@redhat.com>
- don't provide/obsolete gnome-core

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.24
- ldconfig

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.23

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22
- provide gnome-core
- add a bunch of extra build requires so build system 
  won't get confused

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.19

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- add the keep-libtool-from-relinking hack so 
  we get the gen util applet

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- obsoletes gnome-core-devel
- include libdir/*.so

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- get libpanel-applet in the package

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


